menu_ac:
  label: Accordion Menu
  namespace: Organisms/TM - Menus
  use: '@organisms/tm-menu/menu-ac/menu-ac.twig'
  description: Accordion Menu.
  libraries:
    - menu_ac_lib:
        css:
          component:
            ../styles/menu-ac.css: {}

  fields:
    title:
      type: text
      label: Title
      description: Title of first link
      preview: About us
    url:
      type: text
      label: URL
      description: URL of first link
      preview: /about-us
    links:
      type: object
      label: Items
      preview:
        - lid: _1
          title: News Desk
          url: /about-us/news-desk
          sub_links:
            - title: Media Team
              url: /about-us/news-desk/media-team
        - lid: _2
          title: Careers
          url: /careers
          in_active_trail: true
          sub_links:
            - lid: _12
              title: Working For Us 2
              url: /work-for-us
              in_active_trail: true
              active: true
              sub_links:
                - lid: _123
                  title: Working For Us 3
                  url: /work-for-us
                  active: true
                - lid: _124
                  title: Working For Us 4
                  url: /work-for-us
            - lid: _13
              title: Working For Us 2
              url: /work-for-us
              in_active_trail: true
              sub_links:
                - lid: _113
                  title: Working For Us 3
                  url: /work-for-us
                  active: true
                - lid: _114
                  title: Working For Us 4
                  url: /work-for-us
        - lid: _3
          title: Customer Panels
          url: /about-us/our-performance/customer-panels
        - lid: _4
          title: Investing to Improve
          url: /about-us/news-desk
        - lid: _5
          title: Statement on Modern Slavery
          url: /about-us/statement-on-modern-slavery
        - lid: _6
          title: Our Performance
          url: /about-us/our-performance/performance-figures
          active: true
          sub_links:
            - lid: _16
              title: Performance Figures
              url: /about-us/our-performance/performance-figures
        - lid: _7
          title: Passenger's Charter
          url: /about-us/our-performance/passengers-charter
        - lid: _8
          title: Company Information
          url: /about-us/company-information
          active: true
        - lid: _9
          title: Newsletter
          url: /about-us/newsletter
  settings:
    attributes:
      type: attributes
      label: Attributes for the menu wrapper
    class:
      type: textfield
      label: Class
    location:
      type: select
      label: Location
      default: sidebar-right
      options:
        sidebar-right: Sidebar
        offcanvas-content: Offcanvas
